--- old/usr/src/cmd/dcs/sparc/sun4u/rsrc_info.c	2016-02-15 12:55:58.284925327 -0500
+++ new/usr/src/cmd/dcs/sparc/sun4u/rsrc_info.c	2016-02-15 12:55:58.290671465 -0500
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Routines for traversing and packing/unpacking the handle
  * returned from ri_init.
@@ -82,8 +80,7 @@
 
 	assert(ap != NULL);
 
-	if (ap->conf_props != NULL)
-		nvlist_free(ap->conf_props);
+	nvlist_free(ap->conf_props);
 
 	while ((dev = ap->cpus) != NULL) {
 		ap->cpus = dev->next;
@@ -120,10 +117,8 @@
 {
 	assert(client != NULL);
 
-	if (client->usg_props != NULL)
-		nvlist_free(client->usg_props);
-	if (client->v_props != NULL)
-		nvlist_free(client->v_props);
+	nvlist_free(client->usg_props);
+	nvlist_free(client->v_props);
 	free(client);
 }
 
@@ -196,8 +191,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (RI_FAILURE);
 }
@@ -250,8 +244,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -304,8 +297,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -359,8 +351,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -424,8 +415,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -470,8 +460,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -515,8 +504,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -617,8 +605,7 @@
 
 fail:
 	free(ri_hdl);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -671,8 +658,7 @@
 	return (0);
 
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	if (aplist != NULL) {
 		while ((tmp = aplist) != NULL) {
 			aplist = aplist->next;
@@ -729,8 +715,7 @@
 	return (0);
 
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	if (devlist != NULL) {
 		while ((tmp = devlist) != NULL) {
 			devlist = devlist->next;
@@ -789,8 +774,7 @@
 	return (0);
 
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	if (client_list != NULL) {
 		while ((tmp = client_list) != NULL) {
 			client_list = client_list->next;
